use minify

This commit is contained in:
Tilman Kranz 2024-11-11 02:36:26 +01:00 committed by Tilman Kranz
parent 996dfb4029
commit bbb3d86e16

View File

@ -12,8 +12,8 @@ if ! cd "$dir" ; then
elif ! mkdir -p "$jsdir" ; then
echo "ERROR: Could not create directory $jsdir; aborted." >&2 ;
exit 1 ;
elif ! type yui-compressor > /dev/null ; then
echo "ERROR: Executable \"yui-compressor\" not found in PATH; aborted." >&2 ;
elif ! type minify > /dev/null ; then
echo "ERROR: Executable \"minify\" not found in PATH; aborted." >&2 ;
exit 1 ;
fi
@ -47,7 +47,7 @@ do
done
echo "INFO: Compressing player.js ..." >&2
yui-compressor player.js >> "$jsdir"/myplayer.min.js
minify player.js >> "$jsdir"/myplayer.min.js
chmod 644 "$jsdir"/myplayer.min.js